Subject: RE: [NSIS] Georgios' framework decomposition (was Two kinds of re quirements)

From: "Georgios Karagiannis (ELN)" <[email-masked]>
Date: Wed, 23 Jan 2002 11:55:01 +0100

Hi Marco

I agree with David's explanation (see below)!

Best Regards,
georgios

-----Original Message-----
From: David Partain [mailto:[email-masked]]
Sent: woensdag 23 januari 2002 11:30
To: NSIS Mailing List
Subject: [NSIS] Georgios' framework decomposition (was Two kinds of
requirements)

Hi,

Georgios Karagiannis wrote:

> The possible NSIS protocol components that can be
> used on the different NSIS protocol types are the following:
>
>  * used components in "end host to end host" NSIS scenario:
>       [everyhost], [everyedge], [everyhop]
>
>  * used components in "end host to proxy" NSIS scenario:
>       [everyhost], [everyedge], [everyhop]
>
>  * used components in "end host to edge" NSIS scenario:
>       [everyedge], [everyhop]
>
>  * used components in "edge to edge" NSIS scenario:
>       [everyedge], [everyhop]
>
> Regarding the priority, we should decide it after the requirements,
> architecture and framework drafts are done!

Marco Schneider responded:

> Are you suggesting that we organize our requirements according to the
> implementation solution you have proposed below? If that is the case then I
> strongly disagree.

I don't see Georgios' framework figure or the text above as an
"implementation solution".  It's simply a way of taking a _big_
problem and breaking it down into smaller problem areas that
need attention.

The requirements, in my view, must be based upon the
applications that will use the network ("use case based
requirements").  There seem to be several voices pushing
for this.

If you could, please help me understand exactly what you
disagree with.

Cheers,

dlp

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis